//wyw 枚举页面 把前端用到的枚举 都写到此文件 省得改了后不懂去哪个页面改 名称应该与后台类似（容易分辨）
// 写法  1、定义（let） 2、导出（export）


//App 专有
let listTimeType = ['全部', '当天', '最近三天', '最近一周', '最近一月']

//PC
let listPFStandardStatus = ['全部', '草稿', '确认中', '审核中', '已归档', '已驳回']
let listPFStandardStatusVal = [-1, 0, 10, 20, 30, 40]

let listBSQuestionLevelEnum = ['重大', 'A', 'B', 'C', 'D']
let listBSQuestionLevelEnumVal = [10, 20, 30, 40, 50]
let FMProductionUnit = ['全公司', '选矿厂', '尾矿库', '露天矿', '职能口', '非金属', '地下矿']
let FMProductionUnits = ['全公司', '选矿厂', '尾矿库', '露天矿', '地下矿']
let CheckPeriod = ['无', '每天', '每周', '每月', '每季', '每半年', '每年']
let CheckPeriods = ['无', '每天', '每周', '每月', '每季度', '每半年', '每年', '每班']
let CheckLevel = ['部门', '车间', '班组', '公司']
let CheckLevels = ['部门', '车间', '班组', '公司', '岗位']
let SKAcceptResultEnum = ['合格', '不合格']
let SKEffective = ['有效', '无效']
let SKMarkEnum = ['自动带出', '新增','修改']
let SKLevelEnum = ['重大风险','较大风险','一般风险','低风险']
// 提交数据时
let MineTypeIndex = {
	'全公司': 0,
	'选矿厂': 10,
	'尾矿库': 20,
	'露天矿': 30,
	'职能口': 31,
	'非金属': 32,
	'地下矿': 40,
}

// 获取数据时
let MineTypeName = {
	0: '全公司',
	10: '选矿厂',
	20: '尾矿库',
	30: '露天矿',
	31: '职能口',
	32: '非金属',
	40: '地下矿',
}
let CheckTypeName = {
	0: '部门',
	1: '车间',
	2: '班组',
	3: '公司',
	4: '岗位',
}
let CheckCycle = {
    0: "无",
    10: "每天",
    20: "每周",
    30: "每月",
    40: "每季度",
    50: "每半年",
    60: "每年",
    70: "每班"
}

export {
	listTimeType,
	listPFStandardStatus,
	listPFStandardStatusVal,
	listBSQuestionLevelEnum,
	listBSQuestionLevelEnumVal,
	FMProductionUnit,
	FMProductionUnits,
	CheckPeriod,
	CheckPeriods,
	CheckLevel,
	CheckLevels,
	SKAcceptResultEnum,
	SKEffective,
	SKMarkEnum,
	SKLevelEnum,
	MineTypeIndex,
	MineTypeName,
	CheckTypeName,
	CheckCycle
}